package com.pnkx.domain.po;

import com.pnkx.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * @author PHY
 * @classname PxNoteFolder
 * @data 2021/12/30 17:29
 * @description 笔记文件夹对象 px_note_folder
 */
public class PxNoteFolder extends PxNote
{
    private static final long serialVersionUID=1L;

    /** 主键 */
    private Long id;

    /** 文件夹名称 */
    @Excel(name = "文件夹名称")
    private String name;

    /** 父级id */
    @Excel(name = "父级id")
    private Long parentId;

    /** 阅读密码 */
    @Excel(name = "阅读密码")
    private String password;

    /** 排序 */
    private Integer order;

    /** 删除标志 */
    private Integer delFlag;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setVersion(String version)
    {
        this.version = version;
    }

    public String getVersion()
    {
        return version;
    }

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }

    @Override
    public String toString(){
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id",getId())
                .append("name",getName())
                .append("parentId",getParentId())
                .append("password",getPassword())
                .append("order",getOrder())
                .append("delFlag",getDelFlag())
                .append("version",getVersion())
                .append("createBy",getCreateBy())
                .append("createTime",getCreateTime())
                .append("updateBy",getUpdateBy())
                .append("updateTime",getUpdateTime())
                .append("remark",getRemark())
                .toString();
    }
}
